{% extends 'site/site-base.html.twig' %}

{% block body %}
    <main class="mb-5 container-fluid container-md mt-lg-5">
        <div class="py-lg-5">
            <h1 class="pt-3">
                Modifier vos informations
                <span class="d-none d-lg-inline pull-right">
                    <a href="{{ path('user_profile_show') }}" class="btn btn-secondary">Retour sur votre profil</a>
                </span>
            </h1>
            <hr>
            {{ form_start(form, {attr: {class: 'row align-items-center'}}) }}
            <div class="col-lg-8 border-lg-right my-lg-4">
                {{ form_row(form.email) }}
                {{ form_row(form.firstname) }}
                {{ form_row(form.lastname) }}
            </div>
            <div class="col-lg-4 my-4 d-flex justify-content-center">
                {% if app.user.photo.id is defined and app.user.photo.id is not null %}
                    <div class="profile-photo-container">
                        <img src="{{ asset('uploadedPhotos/' ~ (app.user.photo is not null ? app.user.photo.filename : 'user-photo-placeholder')) }}"
                             alt="Photo de profil" class="profile-photo rounded-circle">
                        {% if app.user.photo is not null %}
                            <div class="profile-photo__remove-photo">
                                <button type="button" class="btn btn-danger btn-sm btn-delete-photo rounded-circle"
                                        data-index="{{ app.user.photo.id }}">
                                    <i class="fa fa-trash"></i>
                                </button>
                            </div>
                        {% endif %}
                    </div>
                    {% do form.photo.setRendered() %}
                {% else %}
                    {{ form_row(form.photo) }}
                {% endif %}
            </div>
            <button type="submit" class="btn btn-primary btn-block mx-3">Enregistrer</button>
            <a href="{{ path('user_profile_show') }}" type="button"
               class="btn btn-secondary btn-block d-lg-none my-3 mx-3">
                Retour à mon profil
            </a>
            {{ form_end(form) }}
        </div>
    </main>
{% endblock %}

{% block title %}
    {{ parent() }} | Modifier vos informations
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('user_profile_form') }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('user_profile_form') }}
{% endblock %}
